Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.udo.cs.miningmart.operator
Class AssignStochasticValue

    java.lang.Object
      edu.udo.cs.miningmart.operator.ExecutableOperator
          edu.udo.cs.miningmart.operator.FeatureConstruction
              edu.udo.cs.miningmart.operator.MissingValues
                  edu.udo.cs.miningmart.operator.AssignStochasticValue

    public class AssignStochasticValue

extends MissingValues

This operator uses statistical information about the distribution of the values in the target attribute to randomly choose replacements for the missing values such that the distribution is not expected to change.

Version:
  $Id: AssignStochasticValue.java,v 1.6 2006/09/27 14:59:57 euler Exp $
Author:
  Timm Euler

Constructor Summary
`AssignStochasticValue()`

Method Summary
`java.lang.String` | `generateValueForOp(Column columnWithMissingValues)` The abstract method to be implemented by the subclasses.

Methods inherited from class edu.udo.cs.miningmart.operator.MissingValues
`generateSQL`

Methods inherited from class edu.udo.cs.miningmart.operator.FeatureConstruction
`compileStatement, createStatement, execute, generateColumnForOp, getCurrentLoopNumber, getTheInputConcept, getTheOutputAttribute, getTheOutputAttribute, getTheTargetAttribute, getTheTargetAttribute, load, writeResults`

Methods inherited from class edu.udo.cs.miningmart.operator.ExecutableOperator
`autoPrint, checkConditions, doPrint, doPrint, executeBusinessSingleValueSqlRead, executeBusinessSingleValueSqlReadL, executeBusinessSqlRead, executeBusinessSqlWrite, executeM4SingleValueSqlRead, executeM4SingleValueSqlReadL, executeM4SqlRead, executeM4SqlWrite, getArtificalColumnName, getBusinessDbms, getHighestLoopNr, getM4Db, getM4Dbms, getM4ObjectFromCache, getName, getNextM4SequenceValue, getNumberOfLoops, getOperator, getOpParamsIterator, getParameter, getParameter, getParameterObjectsOfAllLoops, getSingleParameter, getSingleParameter, getStep, giveWarningForChangedInputData, handleAssertions, isDeselectedParameter, isLoopable, isManual, isStepable, print, putM4ObjectToCache, showCreateStatement, storedProceduresAvailable`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AssignStochasticValue

    public AssignStochasticValue()

Method Detail

### generateValueForOp

    public java.lang.String generateValueForOp(Column columnWithMissingValues)
                                        throws M4CompilerError

  Description copied from class: `MissingValues`
  The abstract method to be implemented by the subclasses.

  Specified by:
    `generateValueForOp` in class `MissingValues`
  Parameters:
    `columnWithMissingValues` - The Column which has some missing values.
  Returns:
    A String with an SQL definition which is used to replace the missing values of the given column. It must include quotes if necessary.
  Throws:
    `M4CompilerError` - A simple exception object with an error message.
  See Also:
    `miningmart.compiler.operator.MissingValues#generateValueForOp`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005